[Previous] [Next] [Contents]

## `SG::Perm2Betti` -- computes the Betti polynomial

#### Call(s)

`SG::Perm2Betti(p,q)`

#### Parameters

`p` | - | any list denoting a permutation
`q` | - | a formal variable

#### Introduction

The `SG::Perm2Betti` function computes the generating function of the lengths of all permutations that are smaller than a given permutation `p`, according to Bruhat order.

#### Example 1

    >> muEC::SG::Perm2Betti( [3,4,1,2], q );

                                     2      3    4
                            3 q + 5 q  + 4 q  + q  + 1

#### Related Functions

`CompPerm`, `Perm2Interval`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package